Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1353956 - Upgrade from FreeIPA Fedora 23 container to Fedora 24 fails with syntax error at /usr/share/dirsrv/updates/91reindex.pl line 17, near ")
Summary: Upgrade from FreeIPA Fedora 23 container to Fedora 24 fails with syntax error...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: 389-ds-base
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Noriko Hosoi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-08 13:56 UTC by Jan Pazdziora
Modified: 2016-09-12 14:31 UTC (History)
7 users (show)

Fixed In Version: 389-ds-base-1.3.5.11-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-05 22:43:29 UTC


Attachments (Terms of Use)

Description Jan Pazdziora 2016-07-08 13:56:11 UTC
Description of problem:

When data of existing Fedora 23-based FreeIPA server container is given to Fedora 24-based one, triggering upgrade, the upgrade fails.

Version-Release number of selected component (if applicable):

389-ds-base-1.3.5.10-1.fc24

How reproducible:

Deterministic.

Steps to Reproduce:
1. Build and run FreeIPA in container using Dockerfile.fedora-23 from https://github.com/adelton/docker-freeipa.
2. Build another container using Dockerfile.fedora-24, run it by bind-mounting volume populated by the original container.

Actual results:

Fri Jul  8 13:39:04 UTC 2016 /usr/sbin/ipa-server-configure-first upgrade
/data/build-id /data-template/build-id differ: char 1, line 1
FreeIPA server is already configured but with different version, starting upgrade.
Error: not applying update /usr/share/dirsrv/updates/91reindex.pl. Error: syntax error at /usr/share/dirsrv/updates/91reindex.pl line 17, near ")

    my "
Compilation failed in require at (eval 29) line 1.

Error: not applying update '/usr/share/dirsrv/updates/91reindex.pl'.  Error: syntax error at /usr/share/dirsrv/updates/91reindex.pl line 17, near ")

    my "
Compilation failed in require at (eval 29) line 1.

Error: could not update the directory server.
Exiting . . .
Log file is '/tmp/setupfKiTvf.log'

Expected results:

No error, upgrade passes, FreeIPA in container runs.

Additional info:

Comment 2 Jan Pazdziora 2016-07-08 13:57:18 UTC
This is Fedora equivalent to bug 1353592.

Please consider respinning the packages in Fedora 24.

Comment 3 Noriko Hosoi 2016-07-08 18:04:19 UTC
(In reply to Jan Pazdziora from comment #2)
> This is Fedora equivalent to bug 1353592.
> 
> Please consider respinning the packages in Fedora 24.

Sorry about introducing the broken update.  I'm working on it now...

Comment 4 Charlie Mordant 2016-08-27 22:33:20 UTC
Idem for me without docker:

Package installed:
389-ds.noarch                                                                            1.2.2-8.fc24                                                                   @@commandline
389-ds-base.x86_64                                                                       1.3.5.10-1.fc24                                                                @updates     
389-ds-base-libs.x86_64                                                                  1.3.5.10-1.fc24                                                                @updates     
389-ds-console.noarch                                                                    1.2.12-3.fc24                                                                  @@commandline
389-ds-console-doc.noarch                                                                1.2.12-3.fc24                                                                  @@commandline
389-dsgw.x86_64                                                                          1.1.11-9.fc24                                                                  @@commandline

Regards, and good luck!

Comment 5 Noriko Hosoi 2016-08-29 18:14:06 UTC
Could you please retry the upgrade?

The issue should be fixed by the version 389-ds-base-1.3.5.13-1, which I've pushed to the stable.

http://www.port389.org/docs/389ds/releases/release-1-3-5-13.html

Thanks.

Comment 6 Charlie Mordant 2016-08-31 18:31:10 UTC
Not yet

[charlie@osgiliath ~]$ sudo dnf list 389-*
Vérification de l'expiration des métadonnées effectuée il y a 0:01:04 sur Wed Aug 31 20:27:59 2016.
Paquets installés
389-admin.x86_64                                                                          1.1.42-1.fc24.3                                                               @@commandline
389-admin-console.noarch                                                                  1.1.10-3.fc24                                                                 @@commandline
389-admin-console-doc.noarch                                                              1.1.10-3.fc24                                                                 @@commandline
389-adminutil.x86_64                                                                      1.1.22-4.fc24                                                                 @@commandline
389-console.noarch                                                                        1.1.9-4.fc24                                                                  @@commandline
389-ds.noarch                                                                             1.2.2-8.fc24                                                                  @@commandline
389-ds-base.x86_64                                                                        1.3.5.10-1.fc24                                                               @updates     
389-ds-base-libs.x86_64                                                                   1.3.5.10-1.fc24                                                               @updates     
389-ds-console.noarch                                                                     1.2.12-3.fc24                                                                 @@commandline
389-ds-console-doc.noarch                                                                 1.2.12-3.fc24                                                                 @@commandline
389-dsgw.x86_64                                                                           1.1.11-9.fc24                                                                 @@commandline
Paquets disponibles
389-admin.i686                                                                            1.1.42-1.fc24.3                                                               fedora       
389-adminutil.i686                                                                        1.1.22-4.fc24                                                                 fedora       
389-adminutil-devel.i686                                                                  1.1.22-4.fc24                                                                 fedora       
389-adminutil-devel.x86_64                                                                1.1.22-4.fc24                                                                 fedora       
389-ds-base-devel.i686                                                                    1.3.5.10-1.fc24                                                               updates      
389-ds-base-devel.x86_64                                                                  1.3.5.10-1.fc24                                                               updates      
389-ds-base-libs.i686                                                                     1.3.5.10-1.fc24                                                               updates      
389-ds-base-snmp.x86_64                                                                   1.3.5.10-1.fc24                                                               updates      
389-ds-base-tests.noarch                                                                  1.3.5.10-1.fc24                                                               updates   


Will try it every day!

Comment 7 Charlie Mordant 2016-09-02 12:37:31 UTC
Update done, no problem on setup-ds-admin.pl.

Thank you very much and congrats!

Charlie

Comment 8 Jan Pazdziora 2016-09-05 12:12:28 UTC
Can you set the Fixed In Version to the expected version?

Comment 9 Noriko Hosoi 2016-09-05 22:43:29 UTC
(In reply to Jan Pazdziora from comment #8)
> Can you set the Fixed In Version to the expected version?

The bug was fixed in 389-ds-base-1.3.5.11-1.fc24 and newer.

Here's the latest 1.3.5 info:
2016-08-11: Released 389 Directory Server 1.3.5.13
http://www.port389.org/docs/389ds/releases/release-1-3-5-13.html

Comment 10 Jan Pazdziora 2016-09-12 14:31:15 UTC
Thank you.


Note You need to log in before you can comment on or make changes to this bug.